&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 29 Février 2004
apt-extracttemplates
1

# apt-extracttemplates

Un outil pour extraire d'un paquet Debian les textes de configuration pour DebConf.

    apt-extracttemplates
    -hv
    -t=répertoire temporaire
    fichier

## Description

`Apt-extracttemplates` prend un ou plusieurs paquets Debian en argument et renvoie (dans un répertoire temporaire) tous les scripts et guides de configuration associés. Pour chaque paquet traité contenant des scripts et guides de configuration, une ligne est affichée au format suivant :

paquet version guide-de-configuration script-de-configuration

Les scripts et guides de configuration sont écrits dans le répertoire temporaire indiqué par l'option `-t` ou `--tempdir` (`APT::ExtractTemplates::TempDir`) ; les noms de fichier sont de la forme `package.template.XXXX` ou `package.config.XXXX`.

## Options

&apt-cmdblurb;

`-t`
`--tempdir`

  Répertoire temporaire dans lequel écrire les scripts et guides de configuration pour Debconf. Élément de configuration : `APT::ExtractTemplates::TempDir`.

&apt-commonoptions;

## Voir aussi

&apt-config;

## Diagnostics

`apt-extracttemplates` retourne zéro si tout se passe bien, le nombre 100 en cas d'erreur.

&manbugs; &traducteur;